#line 1 "C:/Users/Viktor/Desktop/timer_click/ft90/Timer_click.c"
#line 1 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
#line 1 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 71 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
void timer_hal_init( uint8_t address_id );
#line 83 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
void timer_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 97 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
void timer_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdbool.h"



 typedef char _Bool;
#line 4 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void timer_read_eeprom(uint8_t* buffer, uint8_t count);

void timer_write_eeprom(uint8_t* buffer, uint8_t count);

uint32_t timer_get_etc_value();

void timer_set_etc_value(uint32_t _value);

uint16_t timer_get_ec_value();

void timer_set_ec_value(uint16_t _value);

uint16_t timer_get_alarm_value();
#line 26 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void set_alarm_value(uint32_t _value);
#line 35 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void timer_set_write_disable();
#line 44 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void timer_set_write_memory_disable();


int8_t alarm_output_select(uint8_t select);

void reset_enable( _Bool  enable);

int8_t set_alarm_polarity(uint8_t polarity);



void timer_reset_device();
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/built_in.h"
#line 7 "C:/Users/Viktor/Desktop/timer_click/ft90/Timer_click.c"
void Auxiliary_Code(void);
void Set_Index(unsigned short index);
void Write_Command(unsigned short cmd);
void Write_Data(unsigned int _data);


char TFT_DataPort at GPIO_PORT_32_39;
sbit TFT_RST at GPIO_PIN42_bit;
sbit TFT_RS at GPIO_PIN40_bit;
sbit TFT_CS at GPIO_PIN41_bit;
sbit TFT_RD at GPIO_PIN46_bit;
sbit TFT_WR at GPIO_PIN47_bit;
sbit TFT_BLED at GPIO_PIN58_bit;


void Auxiliary_Code() {
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

void Set_Index(unsigned short index) {
 TFT_RS = 0;
 asm nop;
 TFT_DataPort = index;
 asm nop; asm nop;
 Auxiliary_Code();
}

void Write_Command(unsigned short cmd) {
 TFT_RS = 1;
 asm nop;
 TFT_DataPort = cmd;
 asm nop; asm nop;
 Auxiliary_Code();
}

void Write_Data(unsigned int _data) {
 TFT_RS = 1;
 asm nop;
 TFT_DataPort =  ((char *)&_data)[1] ;
 asm nop; asm nop;
 Auxiliary_Code();
 asm nop;
 TFT_DataPort =  ((char *)&_data)[0] ;
 asm nop; asm nop;
 Auxiliary_Code();
}

sbit TIMER_EVT at GPIO_PIN1_bit;
sbit TIMER_ALM at GPIO_PIN3_bit;

char text[24];
unsigned long ETC;
unsigned int EC;



void Display_Init(){
 TFT_Set_Active(Set_Index, Write_Command, Write_Data);
 TFT_Init_ILI9341_8bit(320, 240);
 TFT_BLED = 1;
 TFT_Set_Pen(CL_AQUA, 1);
 TFT_Fill_Screen(CL_AQUA);
 TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
 TFT_Set_Pen(CL_AQUA, 1);

 TFT_Set_Brush(1, CL_AQUA, 0, LEFT_TO_RIGHT, CL_AQUA, CL_AQUA);

 TFT_Write_Text("Event count: ",10,10);
 TFT_Write_Text("Time count: ",10,50);
}

void MCU_Init() {
 GPIO_Digital_Output(&GPIO_PORT_00_07,_GPIO_PINMASK_1);
 GPIO_Digital_Input(&GPIO_PORT_00_07, _GPIO_PINMASK_0 | _GPIO_PINMASK_3);

 TIMER_EVT = 1;
 I2CM1_Init(_I2CM_SPEED_MODE_STANDARD, _I2CM_SWAP_DISABLE);
 delay_ms(200);
}

void main() {
 MCU_Init();
 timer_hal_init( 0x6B );
 Display_Init();
#line 101 "C:/Users/Viktor/Desktop/timer_click/ft90/Timer_click.c"
 while(1) {
 delay_ms(2000);
 TFT_Rectangle(100,10,200,40);
 TFT_Rectangle(80,50,200,80);

 EC = timer_get_ec_Value();
 WordToStr(EC,text);
 TFT_Write_Text(text,100,10);
 ETC = timer_get_etc_value();
 LongWordToStr(ETC,text);
 TFT_Write_Text(text,100,50);
 }

}
